my  %FakedDatabase =
 (
    brown     => { fullname => 'Dr. George Brown',
                   position => 'Professor',
                   office   => '12',
                   phone    => 'x1957',
                   email    => 'docbrown@inet.edu',
                   bio      => <<'EOF',
Dr. Brown's fascination with the timing and profiling has generated
some of the country's best research into those fields.
EOF
                   courses => [ 'COSC 3315: Profiling', 
                                'COSC 3330: Security - Timing Attacks',
                                'COSC 4320: Just In Time Compiler Theory'
                              ]
                 },
    bashir    => { fullname => 'Dr. John Bashir',
                   position => 'Professor',
                   office   => '09',
                   phone    => 'x2435',
                   email    => 'jbash@inet.edu',
                   bio      => <<'EOF',
Dr. Bashir has been researching Genetic Algorithms for at least seven years.
His work has generated some of the most advanced engineering of genetic
algorithms in the field.
EOF
                   courses => [ 'COSC 4355: Genetic Algorithms',
                                'COSC 5335: Evolutionary Programming',
                              ]
                 },
    crusher   => { fullname => 'Dr. Bethany Crusher',
                   position => 'Professor',
                   office   => '18',
                   phone    => 'x2434',
                   email    => 'bcrush@inet.edu',
                   bio      => <<'EOF',
Dr. Crusher's research has primarily focused on medical software. Her
background in this field is most impressive.
EOF
                   courses => [ 'COSC 5432: Medical Imaging Software',
                                'COSC 6330: Human Genome Project',
                              ]
                 },
    sfranklin => { fullname => 'Dr. Steve Franklin',
                   position => 'Professor',
                   office   => '05',
                   phone    => 'x2265',
                   email    => 'steve@inet.edu',
                   bio      => <<'EOF',
EOF
                   courses => [ 'COSC 4360: Programming in a Hetergeneous Environment',
                                'COSC 4365: Triage as a Development Skill'
                              ]
                 },
    sculley   => { fullname => 'Dr. Donna Sculley',
                   position => 'Associate Professor',
                   office   => '24',
                   phone    => 'x3453',
                   email    => 'd.sculley@inet.edu',
                   bio      => <<'EOF',
After 7 years in law enforcement, Dr. Sculley decided to come to Internet College
to teach debugging and computer security.
EOF
                   courses => [ 'COSC 3301: Debugging Techniques',
                                'COSC 4301: Creative Problem Solving',
                                'COSC 5404: Detecting Intruders',
                                'COSC 6320: Advanced Troubleshooting'
                              ]
                 },
   profx      => { fullname => 'Professor Carl Xavier',
                   position => 'Professor',
                   office   => '10',
                   phone    => 'x1313',
                   email    => 'x@inet.edu',
                   bio      => <<'EOF',
Professor Xavier comes to us from a very exclusive private school in the
New England area, where he taught in a 'gifted and talented' program. His
uncanny ability to discern user requirements is simply amazing. Only this
year has Inet College been able to convince Professor Xavier to share this
knowledge with our students.
EOF
                   courses => [ 'COSC 3304: Introduction to Team Programming',
                                'COSC 4404: Determining User Requirements',
                                'COSC 5302: Design to Exceed Expectations',
                              ]
                 },
   zimmer     => { fullname => 'Dr. Larry Zimmerman',
                   position => 'Professor',
                   office   => '15',
                   phone    => '',
                   email    => 'zimmer@inet.edu',
                   bio      => <<'EOF',
Dr. Zimmerman is one of this country's foremost experts on Artifical
Intelligence and computer graphics.
EOF
                   courses => [ 'COSC 3320: Introduction to Computer Graphics',
                                'COSC 5320: Advanced Computer Graphics',
                                'COSC 5350: Ultimate User Interfaces',
                                'COSC 6450: Artifical intelligence'
                              ]
                 },
 );



sub  get_faculty_data
 {
  my  $homedir = shift;

  $FakedDatabase{$homedir} || { fullname => '',
                   position => '',
                   office   => '',
                   phone    => '',
                   email    => '',
                   bio      => '',
                   courses => [ ]
                 };
 }


sub  open_faculty_database
 {
  1;
 }


sub  close_faculty_database
 {
  1;
 }